require 'open-uri'
require 'json'

module DartApi
	class ReportParser
		attr_reader :reports, :auth, :rpt_no, :dcmt_no, :code
		
		def initialize(auth)
		 	@auth = auth
		end

		def	parse(code)
			url = "http://dart.fss.or.kr/api/search.json?auth=#{auth}&fin_rpt=Y&crp_cd=#{code}&start_dt=20100101&bsn_tp=A001&page_set=100"
			@code = code
			@reports = JSON.parse(open(url).read)["list"].map do |r|
				Report.new(r)
			end
		end

		def report(year)
			reports.find do |report|
				report.year.eql? year
			end	
		end
	end
end
